<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>Deliverer</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-0evHe/X+R7YkIZDRvuzKMRqM+OrBnVFBL6DOitfPri4tjfHxaWutUpFmBp4vmVor" crossorigin="anonymous" />
    <link rel="stylesheet" href="deliverer.component.css" />
</head>

<body>
  <header class="fixed-top">
    <a class="card" routerLink="">
      <svg class="bi bi-list" xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" viewBox="0 0 16 16">
        <path fill-rule="evenodd" d="M2.5 12a.5.5 0 0 1 .5-.5h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm0-4a.5.5 0 0 1 .5-.5h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm0-4a.5.5 0 0 1 .5-.5h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5z"/>
      </svg>
      <span>Change Position</span>
    </a>
    <h2>Deliverer</h2>
  </header>
  <div class="deliverer-section">
    <div class="orders-container">
      <div *ngFor="let order of my_orders">
        <div class="single-order">
          <h4>Order for {{ order.delivery.last_name }}</h4>
          <mat-list>
            <mat-list-item *ngFor="let front_item of get_items_by_order(order)"> 
              <button mat-button class="item-name" [class.fried] = "front_item.fried_roll" (click)="show_details(front_item)">
                <a *ngIf="front_item.quantity != 1">  {{ front_item.quantity }} x </a>{{front_item.item.name }}
              </button>       
            </mat-list-item>
          </mat-list>
          <p class="deliver-to"> deliver to {{ order.delivery.street + " " + order.delivery.street_number }} for {{ order.deliver_at | date:'shortTime'}}</p>
          <div >
            <button mat-button class="backward-button" (click)="reject_whole_order(order)">Reject whole order</button>
            <button mat-button class="finished-button" (click)="change_state_onitsway(order)">On its way</button>
          </div>
          <!-- enable deliverd button only if onitsway was hit -->
          <div  *ngIf="is_onitsway(order)">
            <button mat-button class="packed-item-button" (click)="change_state_deliverd(order)">Delivered</button>
        </div>
      </div>
    </div>
  </div>




